Temporarily Change Project Inventory Status
curl --request PUT \
--url https://api.virtuoussoftware.com/api/Project/{projectId}/Status \
--header 'Authorization: Bearer <token>'const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.virtuoussoftware.com/api/Project/{projectId}/Status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/Project/{projectId}/Status"
headers = {"Authorization": "Bearer <token>"}
response = requests.put(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/Project/{projectId}/Status");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.PutAsync(request);
Console.WriteLine("{0}", response.Content);

const url = 'https://api.virtuoussoftware.com/api/Project/{projectId}/Status';
const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}How to Create and Update Projects
Temporarily Change Project Inventory Status
PUT
/
api
/
Project
/
{projectId}
/
Status
Temporarily Change Project Inventory Status
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
(Required) The project identifier.
Query Parameters
(Required) The inventory status to apply.
The number of minutes the inventory status stays in effect.
Response
OK
Last modified on April 23, 2026
Was this page helpful?
⌘I